<div ng-show="VM.check"
     class="flex card-pane flex-layout-v"
>
    <div class="card-header card-header-no-separator">
        <div class="title">{{VM.check.nombre}}</div>
        <div class="actions">
            <div class="flex-layout-h">
                <!--<button
                  title="{{ 'COPY' | translate}}"
                  ng-click="">
                    <i class="glyphicon glyphicon-copy"></i>
                </button>-->
                <button
                  class="btn btn-default btn-round-sm fa fa-trash"
                  ng-click="VM.remove()"
                  title="{{ 'DELETE' | translate}}">
                </button>
            </div>
        </div>
    </div>

    <MY-TABS my-tabs-tabs="::VM.sections"
             my-tabs-model="questions.checkSection"
             class="card-content"
    ></MY-TABS>

    <div class="flex flex-layout">
        <!-- === GENERAL INFO === -->
        <div ng-show="VM.shouldShowSection('general')"
             class="flex scrollable-pane flex-layout"
        >
            <div class="card-content card-content-last padded-pane flex flex-layout">
                <!-- === TOP PANE === -->
                <div class="flex flex-layout">
                    <MY-INPUT my-input-type="text"
                              my-input-model="VM.check.nombre"
                              my-input-label="NAME"
                    ></MY-INPUT>
                    <!-- === DESCRIPTION === -->
                    <MY-INPUT-GROUP my-input-group-label="DESCRIPTION"
                                    my-input-group-label-for="input-ckdescription"
                                    class="flex flex-layout"
                    >
                        <textarea id="input-ckdescription"
                                  ng-model="VM.check.descripcion"
                                  class="flex form-control"
                        ></textarea>
                    </MY-INPUT-GROUP>
                    <!-- === ERROR MESSAGE === -->
                    <MY-INPUT-GROUP my-input-group-label="ERROR_MSG"
                                    my-input-group-label-for="input-ckerrormsg"
                                    class="flex flex-layout">
                        <div class="flex flex-layout-h">
                            <div class="flex flex-layout">
                                <textarea id="input-ckerrormsg"
                                          ng-if="VM.shouldShowErrormsg('ca')"
                                          ng-model="VM.check.msgError"
                                          class="flex form-control"
                                ></textarea>
                                <textarea id="input-ckerrormsg"
                                          ng-if="VM.shouldShowErrormsg('es')"
                                          ng-model="VM.check.msgErrorEsp"
                                          class="flex form-control"
                                ></textarea>
                                <textarea id="input-ckerrormsg"
                                          ng-if="VM.shouldShowErrormsg('en')"
                                          ng-model="VM.check.msgErrorIng"
                                          class="flex form-control"
                                ></textarea>
                            </div>
                            <div class="textarea-langs">
                                <button ng-click="VM.showErrormsg('ca')"
                                        ng-class="{active: VM.shouldShowErrormsg('ca')}"
                                >Català</button>
                                <button ng-click="VM.showErrormsg('es')"
                                        ng-class="{active: VM.shouldShowErrormsg('es')}"
                                >Castellano</button>
                                <button ng-click="VM.showErrormsg('en')"
                                        ng-class="{active: VM.shouldShowErrormsg('en')}"
                                >English</button>
                            </div>
                        </div>
                    </MY-INPUT-GROUP>
                </div>
                <!-- === BOTTOM PANE === -->
                <div class="columns-equals">
                    <div>
                        <MY-INPUT my-input-type="select"
                                  my-input-model="VM.check.binaria"
                                  my-input-options="o.key as o.val|translate for o in VM.booleanOptions"
                                  my-input-label="BINARYCORR"
                                  class="nowide"
                        ></MY-INPUT>
                    </div>
                    <div>
                        <MY-INPUT my-input-type="select"
                                  my-input-model="VM.check.consumeix"
                                  my-input-options="o.key as o.val|translate for o in VM.booleanOptions"
                                  my-input-label="CONSUMES_ATTEMPT"
                                  class="nowide"
                        ></MY-INPUT>
                    </div>
                </div>
            </div>
        </div>
        <!-- === SQL STATEMENTS === -->
        <div ng-show="VM.shouldShowSection('sql')"
             class="flex scrollable-pane flex-layout"
        >
            <div id="check-sqls"
                 class="flex card-content card-content-last padded-pane flex-layout"
            >
                <MY-INPUT-GROUP my-input-group-label="INPUT"
                                my-input-group-label-for="input-ckinput"
                                class="flex flex-layout"
                >
                    <textarea id="input-ckinput"
                              ng-model="VM.check.entrada"
                              class="form-control code flex"
                    ></textarea>
                </MY-INPUT-GROUP>
                <MY-INPUT-GROUP my-input-group-label="OUTPUT"
                                my-input-group-label-for="input-ckoutput"
                                class="flex flex-layout"
                >
                    <textarea id="input-ckoutput"
                              ng-model="VM.check.salida"
                              class="form-control code flex"
                              readonly
                    ></textarea>
                </MY-INPUT-GROUP>
            </div>
        </div>
    </div>
</div>